Subject: bug#19989: 25.0.50; Build instructions on Windows

From: Ilya Zakharevich <[email-masked]>
Date: Fri, 6 Mar 2015 17:44:04 -0800

On Fri, Mar 06, 2015 at 01:16:36PM +0200, Eli Zaretskii wrote:
> > Date: Fri, 6 Mar 2015 01:59:52 -0800
> > From: Ilya Zakharevich <[email-masked]>
> > Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> > 
> >   A) apparently, the download and build instructions changes not so
> >      long ago, so what google finds are obsolete irrelevant
> >      instructions.
> 
> The build instructions changed in May 2013, almost 2 years ago.

Irrelevant.  Google brings (many variants) of wrong instructions about
  • what to download
  • how to build it
 — and no correct instructions (at least close to the top of the list;
my google shows 80 hits, and it did not help much).
 
If you download an obsolete version, you get obsolete instructions
(coming with this version).  So it is hard to detect that what you get
is bogus.

> > The warning which nt/configure.bat gives is not specific enough (at
> > least when shown on background of all the [wrong] info found by googling):
> 
> If no one complains about something major for the MinGW/MSYS build
> when Emacs 24.5 is released, nt/configure.bat will be deleted from the
> repository, so it won't be able to confuse anyone anymore.

In view of the results of googling, I would prefer if this file were
kept, but would produce a message like

     Build via nt/configure.bat is replaced by a build via:
       installing MSYS, MINGW, and running the top-level configure.
     See nt/INSTALL for details.

Ilya